module BridgeCache
  class EnrollmentProfile < BridgeBaseModel
    extend BridgeCache::Data::BridgeModel

    belongs_to :enrollable, primary_key: BridgeCache.primary_key, polymorphic: true, optional: true
    before_validation :namespace_enrollable_type
    before_save :parse_json

    def namespace_enrollable_type
      self.enrollable_type = "BridgeCache::#{enrollable_type}" unless enrollable_type&.include? 'BridgeCache::'
    end

    def parse_json
      json = self.class.parse_config(config)
      self.config = json if json.present?
    end

    def self.parse_config(config)
      BridgeCache::Plugins::DataTransform.valid_json?(config)
    end

    def self.format_import_row(row)
      json = parse_config(row['config'])
      row['config'] = json if json.present?
      row
    end

    def self.unique_column_names
      %w[bridge_id domain_id]
    end
  end
end
