module BridgeCache
  class UserCourseVisit < BridgeBaseModel
    extend BridgeCache::Data::BridgeModel

    def self.for_domain(domain_id)
      joins(:course_template).merge(BridgeCache::CourseTemplate.for_domain(domain_id))
    end

    belongs_to :user, foreign_key: :user_id, primary_key: BridgeCache.primary_key, class_name: BridgeCache::User.name,
                      optional: true
    belongs_to :enrollment, foreign_key: :enrollment_id, primary_key: BridgeCache.primary_key,
                            class_name: BridgeCache::Enrollment.name, optional: true
    belongs_to :course_template, foreign_key: :course_template_id, primary_key: BridgeCache.primary_key,
                                 class_name: BridgeCache::CourseTemplate.name, optional: true

    def self.unique_column_names
      %w[token]
    end

    def self.csv_mapping
      mapping = super
      mapping.delete('bridge_id')
      mapping
    end
  end
end
